//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//                     (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	obt2met.cc: compute time corresponding to OBT
//
//	DESCRIPTION:
//		A simple task to compute the MET corresponding to given OBT tag
//
//	CHANGE HISTORY:
//		UL, 2000-07-06: 1.0.0: - initial version
//
//	AUTHOR:
//		U. Lammers, Thu Jul  6 12:25:04 MET DST 2000
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /home/sasbuild/repositories/sasdev/sas/packages/tools/src/obt2met/obt2met.cc,v 1.1 2002/02/10 19:52:06 gvacanti Exp $
//
#include <iostream>

#include "OalServer.h"
#include "param.h"
#include "STime.h"
#include "obt2met.h"

void obt2met()
{
	const TimeCorrelator *tloc = oalServer.timeCorrelator();
	double t = booleanParameter("withcoarsefine")
				? tloc->toMissionEllapsedTime(intParameter("obtcoarse"),
						intParameter("obtfine"))
				: tloc->toMissionEllapsedTime(realParameter("obt"));

	cout.precision(8);
	cout<<"MET="<<t<<" ["<<Xmm::missionReferenceTime+t<<"]\n";
}
